Create onboarding invite | Moov Documentation
Create onboarding invite
[Onboarding Drop
Use Moov.js Drops as an alternative to the API. Drops are customizable, pre-built UI components with error handling and secure PII data collection.
View pre-built Moov.js UI](https://docs.moov.io/moovjs/drops/onboarding/)
Create an invitation containing a unique link that allows the recipient to onboard their organization with Moov.
To access this endpoint using an access token you'll need to specify the /accounts.write scope.
POST
/onboarding-invites
Ask
curl -X POST "https://api.moov.io/onboarding-invites" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{
"scopes": [\
"accounts.read"\\
],
"capabilities": [\
"collect-funds.card-payments",\
"send-funds.ach"\
],
"feePlanCodes": [\
"merchant-direct"\
]
}'
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.onboarding.createInvite({
scopes: [\
"accounts.read",\
],
grantScopes: [\
"transfers.write",\
],
capabilities: [\
"transfers",\
],
feePlanCodes: [\
"merchant-direct",\
],
prefill: {
accountType: "business",
profile: {
business: {
legalBusinessName: "Whole Body Fitness LLC",
},
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\